/Liveness/id
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://liveness-v2-eu.core.idscan.cloud/Liveness/id"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new MultipartFormDataContent { new StringContent("example") { Headers = { ContentType = new MediaTypeHeaderValue("text/plain"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "ImageId", } } }, new StringContent("{ \"additionalProperty\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "AdditionalData", } } }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://liveness-v2-eu.core.idscan.cloud/Liveness/id"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"ImageId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"AdditionalData\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "multipart/form-data; boundary=---011000010111000001101001")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("multipart/form-data; boundary=---011000010111000001101001");RequestBody body = RequestBody.create(mediaType, "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"ImageId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"AdditionalData\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n");Request request = new Request.Builder() .url("https://liveness-v2-eu.core.idscan.cloud/Liveness/id") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "multipart/form-data; boundary=---011000010111000001101001") .build();
Response response = client.newCall(request).execute();const url = 'https://liveness-v2-eu.core.idscan.cloud/Liveness/id';const form = new FormData();form.append('ImageId', 'example');form.append('AdditionalData', '{ "additionalProperty": "example" }');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("multipart/form-data; boundary=---011000010111000001101001")val body = RequestBody.create(mediaType, "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"ImageId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"AdditionalData\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n")val request = Request.Builder() .url("https://liveness-v2-eu.core.idscan.cloud/Liveness/id") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "multipart/form-data; boundary=---011000010111000001101001") .build()
val response = client.newCall(request).execute()curl --request POST \ --url https://liveness-v2-eu.core.idscan.cloud/Liveness/id \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: multipart/form-data' \ --form ImageId=example \ --form 'AdditionalData={ "additionalProperty": "example" }'Facial Passive liveness Endpoint detects biometric spoofing from a single selfie image, without introducing friction or bias.
Documents and Biometrics Core Passive Liveness Service endpoint allows for a single portrait facial image (selfie/face image) to be uploaded (by caching process) for processing to determine the probability that the end user was present at the time of capture (Please reach out to your support representative for the “Documents Biometrics Liveness Guide” for further guidance on authentication). The endpoint will return a result after processing. The results is a score value between 0 and 100, with a score of 50 and above been considered a pass.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Correlation Id for the request
Request Body
Section titled “Request Body”object
Gets or sets the identifier of the liveness verification request.
Key value pair to include any additional metadata for the request.
object
Responses
Section titled “Responses”Returns a success on the Endpoint after processing the submitted selfie image.This code does not indicate a success on the Liveness validation of the selfie itself but rather a success on the call to the Endpoint.The Liveness validation result is in the response body (See Response Body section below).
Response from the liveness validation.
object
Validation result score from the liveness provider. Accepted values are in the range of 0 - 100. The value is unbounded, the bigger the score the higher the image’s liveness. Score of 50 and above is considered a pass.
Validation pass or fail result from the score. Score of 50 and above is considered a pass.
Response from the liveness validation.
object
Validation result score from the liveness provider. Accepted values are in the range of 0 - 100. The value is unbounded, the bigger the score the higher the image’s liveness. Score of 50 and above is considered a pass.
Validation pass or fail result from the score. Score of 50 and above is considered a pass.
Example generated
{ "score": 1, "result": "example"}Response from the liveness validation.
object
Validation result score from the liveness provider. Accepted values are in the range of 0 - 100. The value is unbounded, the bigger the score the higher the image’s liveness. Score of 50 and above is considered a pass.
Validation pass or fail result from the score. Score of 50 and above is considered a pass.
Example generated
{ "score": 1, "result": "example"}Error with the provided parameters, please, check the response provided to get more insights on the problem.
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}Not Found
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}Internal error during our processing, please, get in touch with support so we can help you.
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}